
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html,
body {
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    font-family: Arial, sans-serif;
    background-image: url('../img/bg.jpeg');
    margin: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

:root {
    --ui: #F27908;
    --ungu: #8754F5;
    --bg: #040218;
    --atas: #1D1B30;
}

.tebeltext_ui {
    font-weight: bold;
}

.popupuy {
    position: fixed;
    bottom: 20px; 
    right: 20px; 
    background-color: rgb(2, 2, 24, 0.5);
    border-radius: 10px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100px; 
    box-shadow: 0px 6px 10px rgba(255, 255, 255, 0.562);
    z-index: 9999;
    border-radius: 10px;
}

.icon-left, .icon-right {
    font-size: 24px;
    color: white;
    cursor: pointer;
}

.icon-left {
    margin-right: 10px;
}

.icon-right {
    margin-left: 10px;
}

.container_button_ui {
    position: relative;
    padding: 10px;
    box-sizing: border-box;
    overflow: hidden;
    width: 100%;
    height: 50px;
}

.textstroong {
    font-size: 20px;
    color: white;
    font-weight: bold;
    margin-bottom: 10px;
    padding: 10px;
    box-sizing: border-box;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    max-width: 200px;
}


.pojokk {
    position: absolute;
    top: 10px;
    right: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.pojokk i {
    color: white;
    font-size: 18px;
}

.popup {
    visibility: hidden;
    min-width: 250px;
    background-color: var(--ui);
    color: #fff;
    text-align: center;
    border-radius: 4px;
    padding: 10px;
    position: fixed;
    z-index: 1;
    top: 30px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 16px;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s ease-in-out;
}


.popup.show {
    visibility: visible;
    opacity: 1;
}

.container_utama {
    width: 100%;
    height: 100%;
    overflow-y: scroll;
    overflow-x: hidden; 
    position: relative;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    scrollbar-width: none;
}

.container_utama::-webkit-scrollbar {
    display: none;
}

.container_maou {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    padding: 10px;
    max-width: 800px;
}

.ui {
    width: 100%;
    height: auto;
    padding: 20px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: rgb(2, 2, 24, 0.5);
    border-radius: 20px;
    margin-top: 10px;
    position: relative;
}

.contaio {
    position: absolute;
    z-index: 1;
    top: 10px;
    right: 10px;
    background-color: var(--ui);
    width: auto;
    height: auto;
    border-radius: 5px;
    padding: 10px;
}

.contaio span {
    color: white;
    font-size: 18px;
    font-weight: bold;
    padding: 5px;
    border-bottom: 2px solid white;
}

.contaio1 {
    position: absolute;
    z-index: 1;
    top: 70px;
    right: 10px;
    background-color: var(--ui);
    width: auto;
    height: auto;
    border-radius: 5px;
    padding: 10px;
}

.contaio1 span {
    color: white;
    font-size: 18px;
    font-weight: bold;
    padding: 5px;
    border-bottom: 2px solid white;
}

.contaiokiri_bawah {
    position: absolute;
    z-index: 1;
    top: 10px;
    left: 10px;
    background-color: transparent;
    width: auto;
    height: auto;
    border-radius: 10px;
    padding: 10px;
}

.contaiokiri_bawah i {
    color: white;
    font-size: 28px;
    font-weight: bold;
    
}

.image-cen {
    display: flex;
    justify-content: center;
    align-items: center;
}

.image_awal {
    width: 95px;
    height: 95px;
    object-fit: cover;
    border-radius: 50%;
}

.text_masuk {
    padding: 10px;
}

.text_yes {
    color: white;
    font-size: 18px;
    font-weight: bold;
}

.ui_2 {
    width: 100%;
    height: auto;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: rgb(2, 2, 24, 0.5);
    border-radius: 20px;
    margin-top: 10px
}


.masukan_nama_folder {
    border-radius: 10px;
    padding: 5px;
    margin-top: 10px;
    border-color: transparent;
    width: 80%;
    height: auto;
}

.text_masukan {
    width: 100%;
    height: auto;
    padding: 10px;
}

.text_masukan_yes {
    color: white;
    font-size: 15px;
    font-weight: bold;
}

.nama_folder_new_contai {
    width: 100%;
    height: auto;
    padding: 10px;
}

.ui_3 {
    width: 100%;
    height: 15%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 20px;
    margin-top: 10px;
    padding: 10px;
}

.button_create {
    width: 30%;
    max-width: 50%;
    background-color: var(--ui);
    border-radius: 20px;
    padding: 10px;
    border-color: transparent;
}

.button_create:hover {
    background-color: var(--ui);
    border-color: transparent;
}

.text_button_create {
    color: white;
    font-size: 15px;
    font-weight: bold;
}

.uistore_anime_con2 {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    position: relative;
    padding: 10px;
    border-bottom: 2px solid white;
}

.joz {
    width: 100%;
    height: auto;
    flex-grow: 1;
    display: flex;
    justify-content: center;
    text-align: center;
    padding: 10px;

}

.joz_text {
    color: white;
    font-size: 18px;
    font-weight: bold;
}

.container_2 {
    width: 100%;
    height: 100%;
    overflow: hidden;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(2, 2, 24, 1);
    flex-direction: column;
}

.container_33 {

    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 51;
    margin: 0;
    padding: 0;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(2, 2, 24, 1);
    flex-direction: column;
}

.ui_4 {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    position: fixed;
    z-index: 2;
    margin: 0;
    padding: 0;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: rgb(2, 2, 24, 1);
}

.uistore {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 10px;
    right: 10px;
}

.uistore span {
    color: white;
    font-size: 15px;
    font-weight: bold;
    border-top: 2px solid white;
    padding: 10px;
}

.ui_5 {
    width: 100%;
    height: auto;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: rgb(2, 2, 24, 0.5);
    margin-top: 10px;
    border-radius: 20px;
    box-sizing: border-box;
    overflow-x: hidden;
    border-bottom: 2px solid white;
}

.ui_5_text {
    color: white;
    font-size: 15px;
    font-weight: bold;
    padding: 10px;
    border-bottom: 2px solid white;
    position: fixed;
    bottom: 10px;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
}

.icon_backah {
    display: flex;
    align-items: center;
    position: absolute;
    left: 10px;
}

.icon_backah i {
    position: absolute;
    left: 10px;
    color: white;
    font-size: 24px;
}

.ui_5 h2 {
    color: white;
    padding: 10px;
}

.uistore_anime_con {
    width: 100%;
    height: auto;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    padding-bottom: 20px;
    border-bottom: 2px solid white;
}


.uistore_anime {
    width: 100%;
    height: auto;
    margin-top: 10px;
}

.text_nama_folder {
    padding: 10px;
    color: white;
    text-align: left;
    font-size: 18px;

}

.nama_file_yang_di_edit {
    width: 100%;
    height: auto;
    padding: 10px;
}

.nama_file_yang_di_edit {
    font-size: 20px;
    color: white;
    font-weight: bold;
    margin-bottom: 10px;
    padding: 10px;
    box-sizing: border-box;
    overflow: hidden;
    word-wrap: break-word;
    white-space: normal;
}

.container_textareaah {
    width: 100%;
    height: auto;
    box-sizing: border-box;
    overflow-x: hidden;
}

.textareaah {
    width: 100%;
    height: 500px;
    padding: 10px;
    background-color: rgba(2, 2, 24, 0.5);
    color: white;
    font-size: 16px;
    border-radius: 10px;
    font-family: 'Courier New', monospace;
    box-sizing: border-box;
    resize: vertical;
    overflow: auto;
    border-bottom: 2px solid white;
}

.textareaah::-webkit-scrollbar {
    width: 12px;
}

.textareaah::-webkit-scrollbar-track {
    background: rgba(2, 2, 24, 0.5);
}

.textareaah::-webkit-scrollbar-thumb {
    background-color: var(--ui-color);
    border-radius: 10px;
}

.textareaah {
    scrollbar-width: thin;
    scrollbar-color: var(--ui) rgba(2, 2, 24, 0.5);
}


pre {
    background: #020218;
    color: white;
    padding: 10px;
    border-radius: 10px;
    overflow: auto;
    height: 500px;
    font-family: Arial, sans-serif;
}

code {
    display: block;
}




.contain_save {
    width: 100%;
    height: auto;
    background-color: rgb(2, 2, 24, 0.2);
}

.textareaah_button_save {
    padding: 10px;
    width: 50%;
    height: auto;
    color: white;
    background-color: rgb(2, 2, 24, 0.7);
    border-radius: 10px;
    border-color: 2px solid var(--ui);
    font-weight: bold;
}

.custom-file-upload {
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: auto;
    text-align: center;
    padding: 10px;
}

#file-upload {
    padding: 10px;
    font-size: 15px;
}

.folder-container {
    width: 100%;
    height: auto;
    font-size: 18px;
    color: white;
    text-align: left;
}

.swal2-popup {
    border-radius: 20px;
    background-color: rgb(186, 183, 181);
}

.swal2-title {
    color: #eb1613;
    font-weight: bold;
    border: transparent;
}

.swal2-html-container {
    color: rgb(255, 255, 255);
    font-weight: bold;
    border: transparent;
}

.swal2-select {
    color: rgb(255, 255, 255);
    padding: 5px;   
    background-color: rgb(2, 2, 24, 0.5);
    box-sizing: border-box;
    width: 10%;
}

.swal2-success-circular-line-left {
    background-color: rgb(186, 183, 181);
}

.swal2-select option {
    color: rgb(0, 0, 0);
    font-weight: bold;
}

.lerler2 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 10px;
    padding: 20px;
    font-size: 12px;
    color: white;
    font-weight: bold;
    border-radius: 10px;
    width: 100%;
    background-color: rgb(2, 2, 24, 0.5);
}

.butbut {
    margin-top: 10px;
    padding: 20px;
    font-size: 12px;
    color: white;
    font-weight: bold;
    border-radius: 10px;
    width: 50%;
    background-color: rgb(2, 2, 24, 1);
}

button {
    background-color: transparent;
    border-color: transparent;
    padding: 2px;
}

file-upload {
    background-color: transparent;
    border-color: transparent;
    border-radius: 20px;
    padding: 2px;
}